global wS, firstSpot, lastSpot, michael, smokeCounter, smokingNow, heart, heartSpot, poetryTime, adjL, nou0L, nou1L, ver0L, ver1L, sufL, thoL, bFly, fly0, JohnyS, johnyB, johnyE, johnyC, cleanWell, handS

on startMovie
  set the volume of sound 1 to 255
  set the volume of sound 2 to 255
  set the volume of sound 3 to 255
  set the volume of sound 4 to 255
  wS = 5
  firstSpot = 23
  lastSpot = 47
  michael = 8
  smokeCounter = 0
  smokingNow = 0
  heart = "silent"
  heartSpot = 29
  member("poetryBox").text = " "
  poetryTime = 0
  adjL = the number of lines in the text of member "adj"
  nou0L = the number of lines in the text of member "nou0"
  nou1L = the number of lines in the text of member "nou1"
  ver0L = the number of lines in the text of member "ver0"
  ver1L = the number of lines in the text of member "ver1"
  sufL = the number of lines in the text of member "suf"
  thoL = the number of lines in the text of member "tho"
  bFly = 17
  fly0 = 42
  JohnyS = 6
  johnyB = 55
  johnyE = 64
  johnyC = 7
  set the memberNum of sprite JohnyS to johnyB
  sprite(JohnyS).visible = 1
  sprite(johnyC).visible = 1
  handS = 52
  linkHandStop()
  cleanWell = 4
  initJohny()
  initMiaw()
end

on keyDown
  if the key = "q" then
    go("end")
  end if
end

on showSettings
  spotFelt = 0
  repeat with i = lastSpot down to firstSpot
    if rollOver(i) then
      spotFelt = i
      sprite(JohnyS).visible = 0
      sprite(johnyC).visible = 0
      set the memberNum of sprite wS to i - 8
    end if
  end repeat
  if (spotFelt <> 0) and the mouseDown then
    sound fadeOut 4, 100
    thisLine = spotFelt - firstSpot + 1
    member("urlBox").text = line thisLine of the text of member "urlText"
    sprite(JohnyS).visible = 1
    sprite(johnyC).visible = 1
    set the memberNum of sprite JohnyS to johnyB
    play frame "s" & spotFelt - 8
  else
    if the mouseDown then
      puppetSound(4, "nijnbeep")
      updateStage()
    else
      if spotFelt = 0 then
        set the memberNum of sprite wS to cleanWell
        sprite(JohnyS).visible = 1
        sprite(johnyC).visible = 1
      end if
    end if
  end if
  smoke()
  fabricatePoetry()
end

on fabricatePoetry
  if poetryTime < 50 then
    poetryTime = poetryTime + 1
  else
    writeSentence()
    poetryTime = 0
  end if
  flyButter()
end

on writeSentence
  if random(2) = 1 then
    nou = line random(nou0L) of the text of member "nou0"
    ver = line random(ver0L) of the text of member "ver0"
  else
    nou = line random(nou1L) of the text of member "nou1"
    ver = line random(ver1L) of the text of member "ver1"
  end if
  thisSentence = "The " & line random(adjL) of the text of member "adj" & " " & nou & " " & ver & " " & line random(sufL) of the text of member "suf" & line random(thoL) of the text of member "tho"
  member("poetryBox").text = thisSentence
end

on smoke
  if random(50) = 1 then
    smokingNow = 1
    if not soundBusy(3) then
      puppetSound(3, "smokingsound")
    end if
    updateStage()
    set the member of sprite michael to "smoking"
  end if
  if smokingNow = 1 then
    smokeCounter = smokeCounter + 1
  end if
  if smokeCounter > 40 then
    smokeCounter = 0
    smokingNow = 0
  end if
  if (smokingNow = 0) and (random(20) = 1) then
    set the memberNum of sprite michael to random(8)
  end if
end

on flyButter
  diffX = the mouseH - the locH of sprite bFly
  diffY = the mouseV - the locV of sprite bFly
  set the locH of sprite bFly to the locH of sprite bFly + (diffX * 0.20000000000000001)
  set the locV of sprite bFly to the locV of sprite bFly + (diffY * 0.20000000000000001)
  if random(2) = 1 then
    set the memberNum of sprite bFly to fly0 + random(10)
  end if
end

on initMiaw
  window("Zuper!").rect = rect(the stageLeft + 80, the stageTop + 60, the stageRight - 80, the stageBottom - 60)
  window("Zuper!").windowType = 8
  moveToBack(window("Zuper!"))
end

on showMovie thisMovie
  window("Zuper!").fileName = thisMovie
  open(window("Zuper!"))
  moveToFront(window("Zuper!"))
  window("Zuper!").visible = 1
end

on hideMovie
  window("Zuper!").fileName = "black.dir"
  close(window("Zuper!"))
end

on initJohny
  set the memberNum of sprite wS to cleanWell
  sprite(JohnyS).visible = 1
end

on showJohny
  if the memberNum of sprite JohnyS < johnyE then
    set the memberNum of sprite JohnyS to the memberNum of sprite JohnyS + 1
    go(the frame)
  else
    go(the frame + 1)
  end if
end

on linkHand
  set the locH of sprite handS to the mouseH
  set the locV of sprite handS to the mouseV
  sprite(handS).visible = 1
  sprite(bFly).visible = 0
end

on linkHandStop
  set the locV of sprite handS to -50
  sprite(handS).visible = 0
  sprite(bFly).visible = 1
end
